=== debian/changelog ===
qjackctl (0.9.7-1) unstable; urgency=medium

  * New upstream version 0.9.7
  * d/copyright: Update appdata file

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 16 Apr 2022 21:54:46 +0200
