=== src/CMakeLists.txt ===
--- 
+++ 
@@ -136,7 +136,7 @@
   set_target_properties (${PROJECT_NAME} PROPERTIES MACOSX_BUNDLE true)
 endif ()
 
-target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Xml)
+target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Xml Qt${QT_VERSION_MAJOR}::Svg)
 
 if (CONFIG_XUNIQUE)
   target_link_libraries (${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Network)
@@ -208,14 +208,12 @@
   get_target_property (_qt_qmake_location Qt${QT_VERSION_MAJOR}::qmake IMPORTED_LOCATION)
   get_filename_component (_qt_bin_dir "${_qt_qmake_location}" DIRECTORY)
   set (QT_WINDEPLOYQT "${_qt_bin_dir}/windeployqt.exe")
-
   if (EXISTS ${QT_WINDEPLOYQT})
     # execute windeployqt in a tmp directory after build
     if (QT_VERSION_MAJOR MATCHES "5")
       # These options are not available with Qt6
       set (WINDEPLOYQT_EXTRA_OPTIONS --no-webkit2 --no-angle)
     endif ()
-
     add_custom_command (TARGET ${PROJECT_NAME}
       POST_BUILD
       COMMAND ${CMAKE_COMMAND} -E remove_directory "${CMAKE_CURRENT_BINARY_DIR}/windeployqt"
@@ -230,7 +228,6 @@
         "$<TARGET_FILE:${PROJECT_NAME}>"
       USES_TERMINAL
     )
-
     # copy deployment directory during installation
     install (
       DIRECTORY
@@ -244,7 +241,6 @@
   get_target_property (_qt_qmake_location Qt${QT_VERSION_MAJOR}::qmake IMPORTED_LOCATION)
   get_filename_component (_qt_bin_dir "${_qt_qmake_location}" DIRECTORY)
   find_program(QT_MACDEPLOYQT macdeployqt HINTS "${_qt_bin_dir}")
-
   if (EXISTS ${QT_MACDEPLOYQT})
     add_custom_command (TARGET ${PROJECT_NAME}
       POST_BUILD
