=== debian/changelog ===
qjackctl (0.9.9-1) unstable; urgency=medium

  * New upstream version 0.9.9
  * Change my email address
  * Bump Standards-Version to 4.6.2
  * Refresh d/clean

 -- Dennis Braun <snd@debian.org>  Wed, 28 Dec 2022 21:38:21 +0100

qjackctl (0.9.8-1) unstable; urgency=medium

  * New upstream version 0.9.8
  * Bump Standards Version to 4.6.1
  * Build with Qt6
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 06 Oct 2022 23:12:40 +0200
