=== debian/changelog ===
qjackctl (0.9.11-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 29 Aug 2023 13:04:19 -0700

qjackctl (0.9.11-1) unstable; urgency=medium

  * New upstream version 0.9.11
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Mon, 19 Jun 2023 19:38:48 +0200
