=== debian/control ===
Source: qjackctl
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dennis Braun <snd@debian.org>,
           Adrian Knoth <adi@drcomp.erfurt.thur.de>,
           Jaromír Mikeš <mira.mikes@seznam.cz>,
           Free Ekanayaka <freee@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libjack-dev | libjack-jackd2-dev,
               libqt6svg6-dev,
               libx11-dev,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.6.2
Homepage: https://qjackctl.sourceforge.io
Vcs-Git: https://salsa.debian.org/multimedia-team/qjackctl.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/qjackctl
Rules-Requires-Root: no

Package: qjackctl
Architecture: any
Depends: jackd, ${misc:Depends}, ${shlibs:Depends}
Suggests: pulseaudio-utils
Description: User interface for controlling the JACK sound server
 Qjackctl offers a user interface for controlling the JACK sound server
 daemon. At the same time it figures as a JACK patch bay and monitoring
 tool.
