=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,7 @@
 
 override_dh_clean:
 	dh_clean --exclude=qjackctl.pro
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
