=== debian/changelog ===
qjackctl (0.9.12-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 28 Oct 2023 15:29:23 -0700

qjackctl (0.9.12-1) unstable; urgency=medium

  * New upstream version 0.9.12

 -- Dennis Braun <snd@debian.org>  Mon, 18 Sep 2023 19:52:19 +0200
