=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export QT_SELECT = qt6
+
+# export QT_SELECT = qt6
+# qtchooser doesn't support qt6, but cmake is the magic ingredient
 
 %:
 	dh $@
