=== src/CMakeLists.txt ===
--- 
+++ 
@@ -100,6 +100,7 @@
 	translations/qjackctl_pt.ts
 	translations/qjackctl_ru.ts
 	translations/qjackctl_sk.ts
+	translations/qjackctl_tr.ts
 	translations/qjackctl_uk.ts
 )
 
@@ -147,7 +148,7 @@
 endif ()
 
 if (CONFIG_JACK)
-  target_link_libraries (${PROJECT_NAME} PRIVATE Jack::Jack)
+  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::JACK)
 endif ()
 
 if (CONFIG_ALSA_SEQ)
