## qjackctl 0.9.91

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required (VERSION 3.15)
 
 project (QjackCtl
-  VERSION 0.9.13
+  VERSION 0.9.91
   DESCRIPTION "JACK Audio Connection Kit - Qt GUI Interface"
   HOMEPAGE_URL "https://qjackctl.sourceforge.io"
   LANGUAGES C CXX)
