=== debian/changelog ===
qjackctl (0.9.91-1) unstable; urgency=medium

  * New upstream version 0.9.91
  * Bump Standards-Version to 4.7.0

 -- Dennis Braun <snd@debian.org>  Sat, 15 Jun 2024 17:22:33 +0200

qjackctl (0.9.90-1) unstable; urgency=medium

  * New upstream version 0.9.90
  * Use the default ci config from salsa

 -- Dennis Braun <snd@debian.org>  Fri, 19 Apr 2024 17:40:44 +0200
