## qjackctl 1.0.0

=== debian/changelog ===
qjackctl (1.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream version 1.0.0
  * Bump d/copyright years

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 21 Jun 2024 09:32:21 -0700

qjackctl (0.9.12-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to Qt 5 builds.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 28 Oct 2023 15:29:23 -0700
