## qjackctl 1.0.1

=== debian/changelog ===
qjackctl (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1

 -- Dennis Braun <snd@debian.org>  Wed, 07 Aug 2024 22:17:45 +0200

qjackctl (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Dennis Braun <snd@debian.org>  Sat, 20 Jul 2024 22:15:18 +0200
