## qjackctl 1.0.2

=== debian/changelog ===
qjackctl (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2

 -- Dennis Braun <snd@debian.org>  Sun, 06 Oct 2024 12:03:27 +0200
