## qjackctl 1.0.3

=== debian/changelog ===
qjackctl (1.0.3-1~mx23+1) mx; urgency=medium

  * New upstream version 1.0.3

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 29 Jan 2025 19:43:35 -0800

qjackctl (1.0.0-0.1~mx23+1) mx; urgency=medium

  * New upstream version 1.0.0
  * Bump d/copyright years

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 21 Jun 2024 09:32:21 -0700
