=== src/CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,7 @@
   qjackctlMessagesStatusForm.h
   qjackctlPatchbayForm.h
   qjackctlSessionForm.h
+  qjackctlSessionSaveForm.h
   qjackctlSetupForm.h
   qjackctlPaletteForm.h
   qjackctlSocketForm.h
@@ -66,6 +67,7 @@
   qjackctlMessagesStatusForm.cpp
   qjackctlPatchbayForm.cpp
   qjackctlSessionForm.cpp
+  qjackctlSessionSaveForm.cpp
   qjackctlSetupForm.cpp
   qjackctlPaletteForm.cpp
   qjackctlSocketForm.cpp
@@ -79,6 +81,7 @@
   qjackctlMessagesStatusForm.ui
   qjackctlPatchbayForm.ui
   qjackctlSessionForm.ui
+  qjackctlSessionSaveForm.ui
   qjackctlSetupForm.ui
   qjackctlPaletteForm.ui
   qjackctlSocketForm.ui
@@ -97,7 +100,7 @@
 	translations/qjackctl_ja.ts
 	translations/qjackctl_ko.ts
 	translations/qjackctl_nl.ts
-	translations/qjackctl_pt.ts
+	translations/qjackctl_pt_BR.ts
 	translations/qjackctl_ru.ts
 	translations/qjackctl_sk.ts
 	translations/qjackctl_tr.ts
@@ -183,6 +186,8 @@
     DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
   install (FILES man1/${PROJECT_NAME}.fr.1
     DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME ${PROJECT_NAME}.1)
+  install (FILES palette/KXStudio.conf palette/Wonton\ Soup.conf
+    DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/palette)
 elseif (APPLE)
   # Generate bundle on MacOS with QjackCtl.icns as the icon and a custom Info.plist file.
   target_sources(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/images/QjackCtl.icns)
