=== debian/changelog ===
qjackctl (1.0.4-1~mx23+1) mx; urgency=medium

  * New upstream version 1.0.4
  * Bump d/copyright years.
  * Add pkgconf to B-Ds.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 20 Jul 2025 13:40:01 -0700
