=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# export QT_SELECT = qt6
-# qtchooser doesn't support qt6, but cmake is the magic ingredient
+export QT_SELECT = qt5
 
 %:
 	dh $@
