=== debian/changelog ===
qjackctl (1.0.5-1) unstable; urgency=medium

  * New upstream version 1.0.5
  * Remove redundant priority optional field
  * Remove redudant rules-requires-root-no field
  * Bump Standards-Version to 4.7.3
  * Bump d/copyright years
  * Update d/watch to version 5

 -- Dennis Braun <snd@debian.org>  Tue, 03 Mar 2026 19:37:03 +0100

qjackctl (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
    (Closes: #1059886)
    + Fix build with GCC-15 (Closes: #1097696)
  * Add pkgconf to B-Ds
  * Bump Standards-Version to 4.7.2
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Thu, 03 Apr 2025 19:55:59 +0200

qjackctl (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3

 -- Dennis Braun <snd@debian.org>  Sun, 10 Nov 2024 18:40:59 +0100
