=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: qjackctl
 Section: sound
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Dennis Braun <snd@debian.org>,
@@ -16,12 +15,12 @@
  qt6-base-dev,
  qt6-tools-dev,
  qt6-tools-dev-tools,
- libx11-dev
-Standards-Version: 4.7.0
+ libx11-dev,
+ pkgconf
+Standards-Version: 4.7.3
 Homepage: https://qjackctl.sourceforge.io
 Vcs-Git: https://salsa.debian.org/multimedia-team/qjackctl.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qjackctl
-Rules-Requires-Root: no
 
 Package: qjackctl
 Architecture: any
